<template>
  <div class="flex flex-col gap-10 w-full pt-6">
    <div v-for="item in componentType" :key="item.HtmlId">
      <lobby-settings-provider-type-render
        v-if="item.Text.SelectedModule.toLowerCase().includes('provider type')"
        :data="item.Text"
      />
      <lobby-settings-live-casino-render
        v-if="item.Text.SelectedModule.toLowerCase().includes('live casino')"
        :data="item.Text"
      />
      <lobby-settings-games-render
        v-if="item.Text.SelectedModule.toLowerCase().includes('games')"
        :data="item.Text"
      />
      <lobby-settings-sports-render
        v-if="item.Text.SelectedModule.toLowerCase().includes('sports')"
        :data="item.Text"
      />
      <lobby-settings-promotions-render
        v-if="item.Text.SelectedModule.toLowerCase().includes('promotion')"
        :data="item.Text"
      />
      <lobby-settings-others-render
        v-if="item.Text.SelectedModule.toLowerCase().includes('others')"
        :data="item"
      />
    </div>
  </div>
</template>

<script lang="ts" setup>
import { store } from "~~/store";

const themeProperties =
  store.state.companyThemePropertiesFromApi.ThemeProperties;

const componentType = themePropertyHelper
  .getMultipleThemesProperties(themeProperties, "component_type_")
  .map((item) => {
    item.Text = JSON.parse(item.Text);
    return item;
  })
  .filter((item) => {
    // @ts-ignore
    return item.Text.SelectedModule;
  });
</script>

<style></style>
